#ifndef AWEXAMSCORE_H
#define AWEXAMSCORE_H

#include <QWidget>

#include "CHttpBll.h"

namespace Ui {
class awExamScore;
}

class awExamScore : public QWidget
{
    Q_OBJECT
signals:
    void goHomePage();
public:
    explicit awExamScore(QWidget *parent = nullptr);
    ~awExamScore();

    void setUI(const int nLeft, const int nTop, const int nWidth, const int nHeight);
private slots:
	void onGetExamProperty(CGetExamProperty getExamProperty);
	void onGetEndExamInfo(CGetEndExamInfo getEndExamInfo);
    void on_btn_awes_goback_clicked();

private:
	void getObjectiveScore();

    Ui::awExamScore *ui;
	__int64 m_getScoreEndTime;
};

#endif // AWEXAMSCORE_H
